#include "udf.h"

#define Dp 9.999e-4  // wypelnic

DEFINE_INIT(ustaw_porowatosc, d)
{
	Thread *t;
	cell_t c;
	
	real MaxX = 0.1, MaxY = 0.1;
	real OdlGr = 0.03;
	real Eps_sc = 0.4;
	real Odl, OdlX, OdlY;
	real x[ND_ND];
	real E;


	// wypelnic
	
	thread_loop_c (t,d)
	{
		begin_c_loop (c,t)
		{
			C_CENTROID(x, c, t);  // srodek komorki

			if(x[0]<(MaxX-x[0]))
              OdlX=x[0];
			else
				OdlX = MaxX - x[0];

			if(x[1]<(MaxY-x[1]))
              OdlY=x[1];
			else
				OdlY = MaxY - x[1];

			if(OdlX<OdlY)
				Odl=OdlX;
			else
				Odl=OdlY;
			if(Odl>OdlGr)
				E=1;
			else
			E=Eps_sc+Odl/OdlGr*(1.-Eps_sc);
			if (E>1.0) E=1.0;
			C_UDMI(c,t,0) = E;			

			C_UDMI(c,t,1)=150*pow(1.-E,2)/(pow(E,3)*Dp*Dp);
		}
		end_c_loop (c,t)
	}
}


DEFINE_PROFILE(visc_res, thread, index)
{
	

	real alfa_1;
	cell_t cell;
	
	begin_c_loop(cell, thread)
	{
		alfa_1 = 150.0 * pow(1-C_UDMI(cell,thread,0),2.0)/pow(C_UDMI(cell,thread,0),3.0)/Dp/Dp;

		F_PROFILE(cell, thread, index) = alfa_1;
	}
	end_c_loop(cell, thread)
}


DEFINE_PROFILE (porosity, thread, index)
{
	cell_t cell;

	begin_c_loop(cell, thread)
	{				
		F_PROFILE(cell, thread, index) = C_UDMI(cell,thread,0);
	}
	end_c_loop(cell, thread)
}

/*
DEFINE_SOURCE(y_source2, c, t, dS, eqn)
{
    real source;
    real g = -9.81;  
    
    real betaS = -3.21e-3;  
    real Cref = 0.5;

    dS[eqn] = // wypelnic
    source =  // wypelnic
    
    return source;   
}

